summaryrefslogtreecommitdiffstats
path: root/bin/dependencies
diff options
context:
space:
mode:
authorBill Wendling <wendling@ncsa.uiuc.edu>2001-08-01 21:00:25 (GMT)
committerBill Wendling <wendling@ncsa.uiuc.edu>2001-08-01 21:00:25 (GMT)
commitb5d11111b020618ba8716c9b8d4216303f0b2a30 (patch)
tree7b20e78965261b8282e9629b2e3b4f783cf4e579 /bin/dependencies
parent0d6d3eafe4458b141f44a1ef119ee1fc72b01714 (diff)
downloadhdf5-b5d11111b020618ba8716c9b8d4216303f0b2a30.zip
hdf5-b5d11111b020618ba8716c9b8d4216303f0b2a30.tar.gz
hdf5-b5d11111b020618ba8716c9b8d4216303f0b2a30.tar.bz2
[svn-r4292]
Purpose: Bug Fix Description: The way we were generating Dependencies and .depend files was broken. If the $srcdir or other macros began with a ".", then it would match anything and cause problems since it would then overwrite the beginning of the header file's path. Solution: Wrote a Perl script which can handle this type of weirdness better. It's only used when the environment is a GNU one with a GCC compiler... Platforms tested: Linux
Diffstat (limited to 'bin/dependencies')
-rwxr-xr-xbin/dependencies41
1 files changed, 41 insertions, 0 deletions
diff --git a/bin/dependencies b/bin/dependencies
new file mode 100755
index 0000000..248c579
--- /dev/null
+++ b/bin/dependencies
@@ -0,0 +1,41 @@
+#!/usr/bin/perl -w
+#
+# Copyright (C) 2001
+# National Center for Supercomputing Applications.
+# All rights reserved.
+#
+my $depend_file;
+my $new_depend_file;
+my $srcdir;
+my $top_srcdir;
+my $top_builddir;
+
+while ($_ = shift @ARGV) {
+ if (/^--srcdir=([^ \t\n]*)/) {
+ $srcdir = $1;
+ $srcdir = "\\$srcdir" if $srcdir =~ /^\./;
+ } elsif (/^--top_srcdir=([^ \t\n]*)/) {
+ $top_srcdir = $1;
+ $top_srcdir = "\\$top_srcdir" if $top_srcdir =~ /^\./;
+ } elsif (/^--top_builddir=([^ \t\n]*)/) {
+ $top_builddir = $1;
+ $top_builddir = "\\$top_builddir" if $top_builddir =~ /^\./;
+ } else {
+ $depend_file = $_;
+ $new_depend_file = "$_.new";
+ last;
+ }
+}
+
+open(DEPEND, "<$depend_file") || die "cannot open file $depend_file: $!\n";
+open(NEW, ">$new_depend_file") || die "cannot open file $new_depend_file: $!\n";
+
+while (<DEPEND>) {
+ s/\.o/\.lo/g;
+ s/ $srcdir/ \$\(srcdir\)/g;
+ s/ $top_srcdir/ \$\(top_srcdir\)/g;
+ s/ $top_builddir/ \$\(top_builddir\)/g;
+ print NEW $_;
+}
+
+`mv $new_depend_file $depend_file`;